Retry payment
curl --request POST \
--url https://staging.api.commercengine.io/api/v1/{store_id}/storefront/orders/{order_number}/retry-payment \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"payment_method": {
"payment_provider_slug": "<string>",
"integration_type": "<string>",
"return_url": "<string>",
"action": "paymentPage",
"gateway_reference_id": "<string>"
}
}
'import requests
url = "https://staging.api.commercengine.io/api/v1/{store_id}/storefront/orders/{order_number}/retry-payment"
payload = { "payment_method": {
"payment_provider_slug": "<string>",
"integration_type": "<string>",
"return_url": "<string>",
"action": "paymentPage",
"gateway_reference_id": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
payment_method: {
payment_provider_slug: '<string>',
integration_type: '<string>',
return_url: '<string>',
action: 'paymentPage',
gateway_reference_id: '<string>'
}
})
};
fetch('https://staging.api.commercengine.io/api/v1/{store_id}/storefront/orders/{order_number}/retry-payment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"success": true,
"content": {
"payment_info": {
"id": "<string>",
"status": "<string>",
"order_id": "<string>",
"payment_links": {
"web": "<string>",
"expiry": "<string>"
},
"sdk_payload": {
"requestId": "<string>",
"service": "<string>",
"payload": {
"clientId": "<string>",
"merchantId": "<string>",
"clientAuthToken": "<string>",
"clientAuthTokenExpiry": "<string>",
"environment": "<string>",
"orderId": "<string>",
"amount": "<string>",
"action": "<string>",
"customerId": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"returnUrl": "<string>",
"customerPhone": "<string>",
"customerEmail": "<string>",
"currency": "<string>",
"description": "<string>",
"options.createMandate": "<unknown>",
"mandate.maxAmount": "<string>",
"mandate.start_date ": "<string>",
"mandate.end_date ": "<string>",
"mandate.frequency": "<unknown>"
}
},
"order_expiry": "2023-11-07T05:31:56Z"
}
}
}{
"message": "<string>",
"success": true,
"code": "<string>",
"error": {}
}{
"message": "<string>",
"success": false,
"code": "<string>"
}{
"message": "<string>",
"success": true,
"code": "<string>"
}Orders
Retry payment
To generate new payment request if first payment request is failed or expired. Retry payment request can be made after 15 mins of last request or immediately after last payment request is marked as failed.
POST
/
orders
/
{order_number}
/
retry-payment
Retry payment
Authorizations
Access token
Path Parameters
order number
Body
application/json
- JusPayHyperCheckout
- JusPayNewCard
- JusPaySavedCardToken
- JuspayNetBanking
- JuspayUpiCollect
- JuspayUpiIntent
- BankTransferCheckout
- LotusPayCheckout
Show child attributes
Show child attributes
Was this page helpful?
⌘I